## org.eclipse.emf.cdo.defs
Enum ResourceMode

    java.lang.Object
      java.lang.Enum<ResourceMode>
          org.eclipse.emf.cdo.defs.ResourceMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResourceMode>, org.eclipse.emf.common.util.Enumerator

    public enum ResourceMode

extends java.lang.Enum<ResourceMode>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Resource Mode', and utility methods for working with them.

See Also:
  `CDODefsPackage.getResourceMode()`

Enum Constant Summary
`CREATE` The 'CREATE' literal object.
`GET` The 'GET' literal object.
`GET_OR_CREATE` The 'GET OR CREATE' literal object.

Field Summary
`static int` `CREATE_VALUE` The 'CREATE' literal value.
`static int` `GET_OR_CREATE_VALUE` The 'GET OR CREATE' literal value.
`static int` `GET_VALUE` The 'GET' literal value.
`static java.util.List<ResourceMode>` `VALUES` A public read-only list of all the 'Resource Mode' enumerators.

Method Summary
`static ResourceMode` `get(int value)` Returns the 'Resource Mode' literal with the specified integer value.
`static ResourceMode` `get(java.lang.String literal)` Returns the 'Resource Mode' literal with the specified literal value.
`static ResourceMode` `getByName(java.lang.String name)` Returns the 'Resource Mode' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`CDOResource` `getResource(java.lang.String path, CDOTransaction cdoTransaction)`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ResourceMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResourceMode[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GET

    public static final ResourceMode GET

  The 'GET' literal object.

  See Also:
    `GET_VALUE`

### CREATE

    public static final ResourceMode CREATE

  The 'CREATE' literal object.

  See Also:
    `CREATE_VALUE`

### GET_OR_CREATE

    public static final ResourceMode GET_OR_CREATE

  The 'GET OR CREATE' literal object.

  See Also:
    `GET_OR_CREATE_VALUE`

Field Detail

### GET_VALUE

    public static final int GET_VALUE

  The 'GET' literal value.

  If the meaning of 'GET' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GET`, Constant Field Values

### CREATE_VALUE

    public static final int CREATE_VALUE

  The 'CREATE' literal value.

  If the meaning of 'CREATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CREATE`, Constant Field Values

### GET_OR_CREATE_VALUE

    public static final int GET_OR_CREATE_VALUE

  The 'GET OR CREATE' literal value.

  If the meaning of 'GET OR CREATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GET_OR_CREATE`, Constant Field Values

### VALUES

    public static final java.util.List<ResourceMode> VALUES

  A public read-only list of all the 'Resource Mode' enumerators.

Method Detail

### values

    public static final ResourceMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ResourceMode c : ResourceMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ResourceMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static ResourceMode get(java.lang.String literal)

  Returns the 'Resource Mode' literal with the specified literal value.

### getByName

    public static ResourceMode getByName(java.lang.String name)

  Returns the 'Resource Mode' literal with the specified name.

### get

    public static ResourceMode get(int value)

  Returns the 'Resource Mode' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ResourceMode>`

### getResource

    public CDOResource getResource(java.lang.String path,
                                   CDOTransaction cdoTransaction)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.